using System.Collections.Generic;
using System.Threading.Tasks;
using XYY.Data.Standard.Order;
using XYY.Model.Standard.Order.FBA;

namespace XYY.Service.Standard.Order.FBA
{
    public interface IFBAOtherFeeService
    {
        Task SaveOrAdd(FBA_OtherFee otherFee);

        Task<List<FBA_OtherFee>> GetAll();
    }


    public class FBAOtherFeeService : IFBAOtherFeeService
    {
        IFBAOtherRepository otherRepository;

        public FBAOtherFeeService(IFBAOtherRepository otherRepository)
        {
            this.otherRepository = otherRepository;
        }

        public async Task<List<FBA_OtherFee>> GetAll()
        {
            return await otherRepository.GetAll();
        }

        public async Task SaveOrAdd(FBA_OtherFee otherFee)
        {
            await otherRepository.SaveOrAdd(otherFee);
        }
    }
}
